Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.impl
Class SimpleGappedSequence.GappedContext

    java.lang.Object
      org.biojava.bio.seq.projection.ReparentContext
          org.biojava.bio.seq.impl.SimpleGappedSequence.GappedContext

All Implemented Interfaces:
  Serializable, ProjectionContext

Enclosing class:
  SimpleGappedSequence

    public class SimpleGappedSequence.GappedContext

extends ReparentContext

See Also:
  Serialized Form

Constructor Summary
`SimpleGappedSequence.GappedContext()`

Method Summary
`Location` | `mapLocation(Location loc)`
`Location` | `projectLocation(Location loc)`
`Location` | `revertLocation(Location oldLoc)`

Methods inherited from class org.biojava.bio.seq.projection.ReparentContext
`addChangeListener, createFeature, createFeature, getParent, getParent, getReverter, getSchema, getSequence, getTransformer, getUnprojectedFeatures, projectChildFeatures, projectFeature, projectFeatures, projectFilter, removeChangeListener, removeFeature, removeFeature, revertFeature, revertFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleGappedSequence.GappedContext

    public SimpleGappedSequence.GappedContext()

Method Detail

### projectLocation

    public Location projectLocation(Location loc)

### mapLocation

    public Location mapLocation(Location loc)

### revertLocation

    public Location revertLocation(Location oldLoc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD